// JavaScript Document

(function($){
	$.fn.extend({
		bgslide:function(value){
			//可选参数
			value=$.extend({
				"fw":12,
				"sw":2,
				"ftime":100,
				"stime":300
			},value);
			
			//初始化背景的位置
			var liw = $("ul li:eq(0)",value.menu).width();//获取第一个li的宽
			var $slide = $(this).children("div");			
			$slide.css({"width":liw,"left":"5"});
			
			//悬停时执行动画
			function hani(w,l){
				$slide.stop(true)			//很关键的一句话，当悬停时，让正在执行的动画，和列队中的动画，都取消；防止鼠标不停滑动时的bug;
					  .animate({"width":w,"left":l+value.fw},value.ftime)
					  .animate({"left":l-value.fw},value.stime)
					  .animate({"left":l+value.sw},value.stime)
					  .animate({"left":l-value.sw},value.stime);
			}
			
			//离开时执行动画	
			function oani(){
				$slide.stop(true)
					  .animate({"width":liw,"left":"5"},value.ftime)
					  .animate({"left":l-value.fw},value.stime)
					  .animate({"left":l+value.sw},value.stime)
					  .animate({"left":l-value.sw},value.stime);;	
			}
			
			$("ul li",this).hover(function(){
				var w = $(this).width();			//获取当前li的宽
				var l = $(this).position().left;	//获取当前li的横坐标	
				if(!$(this).index()==0){			//鼠标悬停在第一个LI时，不发生动画
					hani(w,l);
		  		}
			},function(){
				oani();
			});
		}	
	})
})(jQuery);